# -*- coding: utf-8 -*-

import re


#簡易正規表達式
def Simple_Regular(RegularStr,String,index=0):
    STR=re.search(RegularStr,String)
    if STR is None:
        return False
    else:
        return STR.group(index)
    
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※　　　【免空科學研究所　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】　  ※")
UI.UpdateLog("※　　　～㊣　　　　　　　　　ＺＫＭ　　製作分享　　　　　　　㊣～      ※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.26 panda0305 撰寫",2)
UI.UpdateLog("【上傳空間】：http://imxd.net",2)
UI.UpdateLog("【上傳大小】：500 MB",2)
UI.UpdateLog("【砍檔時間】：未知",2)
UI.UpdateLog("【腳本功能】：一般下載",2)
UI.UpdateLog("【腳本備註】：免費用戶下載僅可以開3線",1)
UI.UpdateLog("=========================================",2)
HTML=HTTP.GetURL(UI.Link)
name=Simple_Regular("<td>([^<]+)",HTML,1)
captcha_type=Simple_Regular('id="captcha_type" name="captcha_type" value="(.+?)"',HTML,1)
captcha=Simple_Regular('name="captcha" type="hidden" id="captcha" value="(.+?)"',HTML,1)
captcha_id=Simple_Regular('name="captcha_id" type="hidden" id="captcha_id" value="(.+?)"',HTML,1)
anstring='radio" class="" name="ans" id="ans_'+captcha_type+'" value="'
ans=Simple_Regular(anstring+'(.+?)"',HTML,1)

if ans!=False and name!=False:
    UI.UpdateLog("取得ans參數->"+ans)
    UI.UpdateLog("取得檔案名稱->"+name)
    UI.UpdateLog("開始下載....",4)
    HTTP.ClearProcedureData()
    HTTP.AddPostParam("ans",ans)
    HTTP.AddPostParam("captcha",captcha)
    HTTP.AddPostParam("captcha_id",captcha_id)
    HTTP.AddPostParam("captcha_type",captcha_type)
    #HTTP.Referer=UI.Link
    HTTP.AllowAutoRedirect=False
    HTML1=HTTP.PostURL(UI.Link,HTTP.PostData)
    #UI.UpdateLog(HTML1)
    dllink=Simple_Regular("Location:(\S+)",HTML1,1)
    UI.UpdateLog(dllink)
    HTTP.AllowAutoRedirect=True
    UI.FileName=name
    Staus=UI.DownloadURL(dllink)
    if Status==True:
        UI.UpdateLog("下載成功",3)
        UI.ProceSuccess()
    else:
        UI.UpdateLog("錯誤",3)
        UI.ProceFalse()

else:
    UI.UpdateLog("發生錯誤!無法取得必要參數值",3)
    UI.ProceFalse()